For all issues regarding the Forums use, please, refer to the Forum Rules.

Our Solutions

Need professional assistance?
Consider our:

Support Offerings

 

Need to speed up your development?
Have a look at our:

Samples & Tools

 

Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

Related pages

About 2D area filling

memscad's picture
Forums: 

Hi,

In opencascade, how can I fill a 2D area by click in the center of this area, just like autoCAD do 2D area filling?

Sharjith Naramparambath's picture

See the MFC 2D Samples

memscad's picture

Sorry, I mean that there are only edges(TopoDS_Edge) connected with each outher in 2D plane, those edges cut the 2D plane into many areas, then giving a point(TopoDS_Vertex) in some area, then the the filling algorithm will found the boundary(list of TopoDS_Edge) of this area, like the filling algorithm of AutoCAD.

Lodyzhensky's picture

Dear memscad

1. "...outher..." : unknown word ;
2. "...2D plane..." : A plane is 3D-object by definition;
3. "... filling algorithm of AutoCAD..." : could you clarify the details of this algorithm ?

hoya5121's picture

3. "... filling algorithm of AutoCAD..." : could you clarify the details of this algorithm ?

it's command "bo" in AutoCAD.

hoya5121's picture

I need this too